API referenceReferenceReports
VAT period - Retrieve
Retrieve one VAT period (`vat_period_id`) for the selected business (`business_slug`).
Path Parameters
business_slug*string
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
vat_period_id*integer
Identifier of the target vat period. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
Response Body
application/json
curl -X GET "https://example.com/v1/business/string/vat_period/0/"{ "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "start_date": "2019-08-24", "end_date": "2019-08-24", "due_date": "2019-08-24", "period": 0, "has_began": true, "has_ended": true, "has_due_passed": true, "is_locked": true, "is_reported": true, "is_recapitulative_reported": true, "has_eu_sales": true, "recapitulative_due_date": "2019-08-24", "has_locked_accounting_period": true, "filing_tax_to_be_paid": 0, "filing_accepted_at": "2019-08-24T14:15:22Z", "purchase_invoice_id": 0}